Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[ GLSA 200708-11 ] Lighttpd: Multiple vulnerabilities
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index News & Announcements
View previous topic :: View next topic  
Author Message
GLSA
Veteran
Veteran


Joined: 12 May 2004
Posts: 1681

PostPosted: Thu Aug 16, 2007 8:26 pm    Post subject: [ GLSA 200708-11 ] Lighttpd: Multiple vulnerabilities Reply with quote

Gentoo Linux Security Advisory

Title: Lighttpd: Multiple vulnerabilities (GLSA 200708-11)
Severity: normal
Exploitable: remote
Date: August 16, 2007
Bug(s): #185442
ID: 200708-11

Synopsis

Several vulnerabilities were reported in Lighttpd, most of them allowing a Denial of Service and potentially the remote execution of arbitrary code.

Background

Lighttpd is a lightweight HTTP web server.

Affected Packages

Package: www-servers/lighttpd
Vulnerable: < 1.4.16
Unaffected: >= 1.4.16
Architectures: All supported architectures


Description

Stefan Esser discovered errors with evidence of memory corruption in the code parsing the headers. Several independent researchers also reported errors involving the handling of HTTP headers, the mod_auth and mod_scgi modules, and the limitation of active connections.

Impact

A remote attacker can trigger any of these vulnerabilities by sending malicious data to the server, which may lead to a crash or memory exhaustion, and potentially the execution of arbitrary code. Additionally, access-deny settings can be evaded by appending a final / to a URL.

Workaround

There is no known workaround at this time.

Resolution

All Lighttpd users should upgrade to the latest version:
Code:
# emerge --sync
# emerge --ask --oneshot --verbose ">=www-servers/lighttpd-1.4.16"


References

CVE-2007-3946
CVE-2007-3947
CVE-2007-3948
CVE-2007-3949
CVE-2007-3950
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index News & Announcements All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum